Я пытаюсь установить Atlas Plots, но получаю некоторые ошибки. Я попытался установить его с помощью следующей командной строки:

pip3 install https://github.com/joeycarter/atlas-plots

Но когда я запускаю его, терминал показывает мне следующую ошибку:

Не удается определить формат архива / tmp / pip-req-build-o2c8xrmg

И эта командная строка - единственный вариант, доступный в руководстве по установке на сайте программного обеспечения, а именно:

https://atlas-plots.readthedocs.io/en/latest/getting_started.html#installing-atlasplots

И мне нужны эти атласплоты в моих исследованиях, поэтому я буду признателен за любую помощь.

1
Caio Daumann 3 Май 2021 в 00:33

1 ответ

Лучший ответ

Правильный синтаксис для установки из репозитория Github:

pip install "git+https://github.com/joeycarter/atlas-plots.git#egg=atlasplots"

Или

pip install "git+ssh://git@github.com/joeycarter/atlas-plots.git#egg=atlasplots"

См. Документацию по адресу https://pip.pypa.io/en / стабильный / cli / pip_install / # vcs-support

Сообщите о проблеме на странице https://github.com/joeycarter/atlas-plots/issues или лучше отправьте запрос на перенос, исправляющий https: // github. com / joeycarter / atlas-plots / blob / master / docs / getting_started.rst.

1
phd 2 Май 2021 в 21:44